[Pkg-shadow-commits] r1134 - trunk/tests/usertools/01

Nicolas FRANCOIS nekral-guest at costa.debian.org
Sat Oct 21 19:03:44 UTC 2006


Author: nekral-guest
Date: 2006-10-21 19:03:39 +0000 (Sat, 21 Oct 2006)
New Revision: 1134

Modified:
   trunk/tests/usertools/01/run5
   trunk/tests/usertools/01/run6
Log:
Give more details on failure.


Modified: trunk/tests/usertools/01/run5
===================================================================
--- trunk/tests/usertools/01/run5	2006-10-21 17:37:35 UTC (rev 1133)
+++ trunk/tests/usertools/01/run5	2006-10-21 19:03:39 UTC (rev 1134)
@@ -42,7 +42,12 @@
 
 ################################################################################
 echo -n "Create user test1 in the non existent group -1..."
-msg=$(useradd test1 -g -1 2>&1) && exit 1 || test "$?" = "6"
+msg=$(useradd test1 -g -1 2>&1) && exit 1 || {
+	status=$?
+	echo status: $status
+	test "$status" = "6"
+}
+echo msg: $msg
 test "$msg" = "useradd: unknown group -1"
 echo "OK"
 

Modified: trunk/tests/usertools/01/run6
===================================================================
--- trunk/tests/usertools/01/run6	2006-10-21 17:37:35 UTC (rev 1133)
+++ trunk/tests/usertools/01/run6	2006-10-21 19:03:39 UTC (rev 1134)
@@ -41,6 +41,11 @@
 
 ################################################################################
 echo -n "Create user test2 in the non existent group nekral..."
-msg=$(useradd test2 -g nekral 2>&1) && exit 1 || test "$?" = "6"
+msg=$(useradd test2 -g nekral 2>&1) && exit 1 || {
+	status=$?
+	echo status: $status
+	test "$status" = "6"
+}
+echo msg: $msg
 test "$msg" = "useradd: unknown group nekral"
 echo "OK"




More information about the Pkg-shadow-commits mailing list